Skip to content

Transfer with Custom Payee

API Information

  • Path: /api/v2/txn/remittance
  • Method: POST
  • Content-Type: application/json

Business Description

  • Supports two modes: specifying sourceAmount(payment amount) and targetAmount(expected arrival amount)
    • When specifying payment amount, the expected arrival amount is the payment amount minus fees
    • When specifying expected arrival amount, the payment amount is the expected arrival amount plus fees
  • Supports filling in payer details when initiating payment
  • This interface currently has usage restrictions, please contact us before use

Request Parameters

Headers

Request Headers
ParameterValueRequiredDescription
Content-Typeapplication/jsonYesRequest body type

Request Body

Main Parameters

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
payerIdintegerPayer IDC
payerDetailstringPayer information (Note: choose either payerId or payerDetail)C
sourceAmountnumberSource AmountC, Required when chargeFlag is N
sourceCurrencystringSource CurrencyM
targetAmountnumberTarget AmountC, Required when chargeFlag is Y
targetCurrencystringTarget CurrencyM
requestIdstring(32)Business transaction ID, filled by merchant, must be unique for each paymentM
referencestring(256)Payment ReferenceC
transactionPurposestring(64)Transaction PurposeM
chargeFlagstringFull Amount ArrivalM
bankCountrystring(12)Submit payment CountryM
payoutCurrencystring(128)Payout CurrencyM
entityTypestring(1)Entity Type [0:Company, 1:Individual]M
paymentMethodstringPayment MethodM
receiverInfostring(1024)Payee InformationM
addressstring(1024)Address InformationM
accountInfomationstring(1024)Account informationM
signstringSignatureM

Request Example

json
{
  "merchantNo": "801022",
  "payerId":1953712585351499776,
  "payerDetail":"{\"createTime\":\"2025-08-16 14:21:57\",\"merchantNo\":\"801040\",\"country\":\"CN\",\"addressEn1\":\"Nanshan Science & Technology Park, Shenzhen\",\"addressEn2\":\"2all\",\"addressEn3\":\"3\",\"postcode\":\"518057\",\"status\":0,\"email\":\"1@qq.com\",\"areaCode\":\"+86\",\"phoneNumber\":\"15072871023\",\"state\":\"hubei\",\"city\":\"wuhan\",\"subEntityType\":\"1\",\"firstName\":\"zhang\",\"lastName\":\"san2\",\"idType\":\"0\",\"idNumber\":\"371328198410044019\",\"birthDate\":\"1984-10-04\",\"idValidDateFrom\":\"2016-08-04\",\"idValidDateTo\":\"2026-08-04\"}",
  "sourceAmount": 113.00,
  "sourceCurrency": "USD",
  "targetAmount": 1901.00,
  "targetCurrency": "PKR",
  "requestId": "DM2025081120520",
  "reference": "REFERENCE PAYPAL",
  "transactionPurpose": "4",
  "chargeFlag": "Y",
  "bankCountry": "US",
  "payoutCurrency": "USD",
  "entityType": "1",
  "paymentMethod": "BANK_TRANSFER",
  "receiverInfo": "{\"nickName\":\"USTEST12\",\"companyName\":\"\",\"lastName\":\"USDMDD\",\"firstName\":\"DAN\",\"areaCode\":\"\",\"phone\":\"\",\"email\":\"hynchen@onerway.com\",\"identityType\":\"SSN\"}",
  "address": "{\"countryCode\":null,\"state\":\"CALIFORNIA\",\"city\":\"Adin\",\"addressLine1\":\"ADRESS TEST 1\",\"addressLine2\":null,\"addressLine3\":null,\"postalCode\":\"890890\"}",
  "accountInfomation": "{\"cardNumber\":\"3890601780555\",\"accountType\":\"1\",\"swiftCode\":\"ABOCUS33\", \"bankName\":\"MCB BankLimited\",\"sortCode\": \"021001088\", \"bankAccount\": \"AGRICULTURAL BANK OF CHINA NEW YORK BRANCH\"}",
  "sign": "d2ea92efff636320122021f65b613201403f6d34334cfbc7e589ce9f842988f7"
}

Response Result

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8YesResponse body type

Response Parameters

Response Fields

ParameterTypeDescription
respCodestringResponse Code
respMsgstringResponse Message
dataobjectResponse Data
  └─merchantNointegerMerchant Number
  └─payoutIdintegerPayment Transaction ID
  └─statusstringStatus
  └─requestIdstringPayment Transaction ID

Response Example

json
{
  "respCode": "20000",
  "respMsg": null,
  "data": {
    "merchantNo": "801022",
    "payoutId": "1967418277869780992",
    "status": "A",
    "requestId": "DM2025081120520"
  }
}